\begin{figure}[htbp]
	\begin{tikzpicture}
	\begin{axis}[
	ylabel=Tiempo (segundos),
	xlabel=Número de \textit{threads},
	%
	%			ymode=log,
	%			log basis y={10},
	xmode=log,
	log basis x={2},
	log ticks with fixed point,
	%
	xticklabel style={
		/pgf/number format/fixed,
		/pgf/number format/precision=3
	},
	scaled x ticks=true,
	scaled y ticks=true,
	]
	
	\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}, col sep=semicolon, nodes near coords] {../../resultados/matrix_multiplication_benchmarks/quadrant_memory_results/matrix_multiplication_ikj.csv};
	
	\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}, col sep=semicolon, nodes near coords] {../../resultados/matrix_multiplication_benchmarks/all2all_memory_results/matrix_multiplication_ikj.csv};
	
	\addplot table[x={Number of threads}, y={Time (seconds)}, discard if not={Size of matrix}{4000}, col sep=semicolon, nodes near coords] {../../resultados/matrix_multiplication_benchmarks/snc4_memory_results/matrix_multiplication_ikj.csv};
	
	\legend{\textit{quadrant}, \textit{all-to-all}, SNC-4}
	\end{axis}
	\end{tikzpicture}
	\caption{Variación en los tiempos de ejecución según el número de \textit{threads} con la configuración \textit{flat} y tamaño $n=4000$ y ordenación de los lazos $ikj$.}
	\label{fig:ikj-memory-threads-4000}
\end{figure}